Skip to navigation

Search

Starts a CargoAi search for flights with space and rates for a draft booking’s cargos on a route and date, and stores it. | authz_personas=[task_group_coordinator_operators] | (CargoOnFlightBookingSearchClientCreate1) -> (CargoOnFlightBookingSearch1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cargo_on_flight_booking_idstringRequired

Request

This endpoint expects an object.
destination_iatastringRequiredformat: "^[A-Z]{3}$"
earliest_departure_datestringRequiredformat: "date"
origin_iatastringRequiredformat: "^[A-Z]{3}$"
schema_versionintegerRequired
airline_cargo_account_idstringOptional
iata_cass_office_idstringOptional
offset_daysintegerOptional1-5Defaults to 5

Response

Successful Response
_idstring
cargo_on_flight_booking_idstring
cargo_on_flight_integrationenum
Allowed values:
created_at_timestampdatetime
created_by_org_idstring

Must be a string starting with org_

destination_iatastring
earliest_departure_datestringformat: "date"
integration_search_idstring
origin_iatastring
schema_versioninteger
search_completedboolean
updated_at_timestampdatetime
airline_cargo_account_idstringOptional
created_by_user_idstringOptional

Must be a string starting with user_

iata_cass_office_idstringOptional
offset_daysintegerOptionalDefaults to 5
resultslist of objectsOptional

Errors

422
Cargoai Search V1request Unprocessable Entity Error